@import "../../../global.scss";

.dropdownBtn {
  &::after {
    content: "";
    display: inline-block;
    height: 8px;
    width: 8px;
    border: 1px solid;
    border-color: $DarkBlue;
    border-left: none;
    border-top: none;
    transform: rotate(45deg) translateY(-4px);
    margin-left: 10px;
  }

  color: $DarkBlue;
  border-color: $DarkBlue;
  padding: 3px 15px;
  font-size: 14px;

  @include adminmobile{
    font-size: 13px;
  }

  &:hover,
  &:active,
  &:focus {
    background-color: $White !important;
    color: $DarkBlue !important;
    border-color: $DarkBlue !important;
    outline: none !important;
    box-shadow: none !important;
  }
}

.label {
  font-size: 14px;
  font-weight: bold;
  color: $DarkBlue;
}

.searchBtn {
  background-color: $Lime;
  color: $DarkBlue;
  padding: 3px 15px;
  border-radius: 0;
  font-weight: bold;

  @include adminmobile{
    margin-top: 20px;
  }
}

.keywordSearch {
  color: $DarkBlue;
  border-color: $DarkBlue;
  padding: 3px 15px;
  font-size: 14px;
  font-weight: bold;
  border-right: none;
  max-width: 250px;
  margin-left: auto;
  @include fmobile {
  font-size: 60%;
  }
  @include xsmob {
    padding: 0px;
    padding-left: 5%;
  }
  @include iPhone5 {
    font-size: 57%;
  }
  &:focus,
  &:active {
    outline: none;
    box-shadow: none;
    border-color: $DarkBlue;
  }
}

.keywordSearchIcon {
  span {
    background-color: $White;
    border: 1px solid $DarkBlue;
    border-left: none;
    padding: 3px 15px;
    @include fmobile {
      padding: 0px 4px;
    }
  }
}

.dropdown {
  :global(.dropdown-menu) a:active {
    background-color: $DarkBlue;
  }
}

.countryDropdown {
  max-height: 300px;
  overflow: auto;
}
